Public Member Functions | Static Public Member Functions

# Gst::EventEos Class Reference

An end of stream event. More...

Inheritance diagram for Gst::EventEos:
[legend]
Collaboration diagram for Gst::EventEos:
[legend]

List of all members.

## Public Member Functions
| EventEos (GstEvent* event)
## Static Public Member Functions
static Glib::RefPtr< Gst::Event > | create ()
| Create a new EOS event.

## Detailed Description

An end of stream event.

See create() for more details.

## Constructor & Destructor Documentation

Gst::EventEos::EventEos | ( | GstEvent * | event ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Event> Gst::EventEos::create | ( | ) | `[static]`

Create a new EOS event.

The eos event can only travel downstream synchronized with the buffer flow. Elements that receive the EOS event on a pad can return Gst::FLOW_UNEXPECTED as a Gst::FlowReturn when data after the EOS event arrives.

The EOS event will travel down to the sink elements in the pipeline which will then post the Gst::MESSAGE_EOS on the bus after they have finished playing any buffered data.

When all sinks have posted an EOS message, an EOS message is forwarded to the application.

Returns:
  The new EOS event.

The documentation for this class was generated from the following file:

- gstreamermm/event.h